For the complete documentation index, see llms.txt. This page is also available as Markdown.

Routing Plans (DOMS)

Endpoints to get information out of the brain of our Distributed Order Management System (DOMS).

List reroute descriptions

get

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

all entities after given Id

sizeintegerOptional

number of entities to show

Default: 25
Responses
200

RerouteDescription were found & you were allowed to access it. The result is in the body.

application/json

RerouteDescriptions

hasNextPagebooleanRequired

True if there are more results after the current page

totalintegerRequired

Total number of found entities for this query

get/api/reroutedescriptions
GET /api/reroutedescriptions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "reasons": [
    {
      "reasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "reason": "Rerouted because of an issue in the Facility.",
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42
    }
  ],
  "rerouteDescriptions": [
    {
      "action": "text",
      "id": "text",
      "reasonLocalized": {
        "de_DE": "Wert",
        "en_US": "Value",
        "ru_RU": "значение"
      },
      "reason": "Rerouted because of an issue in the Facility.",
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42
    }
  ],
  "hasNextPage": true,
  "total": 1
}

Create reroute description

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

AbstractReasonForCreation

reasonstringRequired

Text explaining the reason for a supported action.

Example: Rerouted because of an issue in the Facility.
Responses
201

The RerouteDescription has been successfully created. The Location header includes the URL of the document.

application/json

RerouteDescription

reasonstringRequired

Text explaining the reason for a supported action.

Example: Rerouted because of an issue in the Facility.
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
actionstring · enumRequiredPossible values:
idstringRequired

The id of the Reason

post/api/reroutedescriptions
POST /api/reroutedescriptions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "reasonLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "reason": "Rerouted because of an issue in the Facility."
}
{
  "action": "text",
  "id": "text",
  "reasonLocalized": {
    "de_DE": "Wert",
    "en_US": "Value",
    "ru_RU": "значение"
  },
  "reason": "Rerouted because of an issue in the Facility.",
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Trigger reroute

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RerouteRoutingPlan

allReroutablebooleanOptional

if set to true every reroutable routing plan is rerouted. overrules every other identifier

orderRefsstring[] · max: 10Optional
routingPlanIdsstring[] · max: 10Optional
tenantOrderIdsstring[] · max: 10Optional
Responses
200

Rerouting was successfully triggered

No content

post/api/routing/commands/reroute
POST /api/routing/commands/reroute HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 95

{
  "allReroutable": true,
  "orderRefs": [
    "text"
  ],
  "routingPlanIds": [
    "text"
  ],
  "tenantOrderIds": [
    "text"
  ]
}

No content

List routing plans

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
orderRefstringOptional

Reference to the order you want to get the corresponding routing plan.

Responses
200

Routing plan was found & you were allowed to access it. The result is in the body.

application/json

RoutingPlans

totalintegerOptional

Total number of found entities for this query

Example: 42
get/api/routingplans
GET /api/routingplans HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "routingPlans": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42
    }
  ],
  "total": 42
}

Get routing plan

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
routingplanIdstringRequired

ID of the routing plan want to get

Responses
200

Routing plan was found & you were allowed to access it. The result is in the body.

application/json

RoutingPlan

createdstring · date-timeRequired

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeRequired

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
childRoutingPlanRefstringOptional
consolidatedStatusstring · enumRequired

This status consolidates many of the RoutingPlanStatus and offers a more detailes explanation of what happened to the routing plan.

Possible values:
facilityBlackListstring[]Optional

Contains a list of facilities to ignore when rerouting happens.

facilityRefstringOptional

The id of the facility reference. The given ID has to be present in the system.

Example: Esb20gpHBL94X5NdMp3C
fallbackRoutingAfterTimeInSecondsnumberOptional

In case this routing plan has an active fallback facility configuration, this is the time in seconds after which the fallback routing will be attempted.

finalizeRunnumberRequired

The iteration through the finalizer process

Example: 5
firstRoutingAttemptstring · date-timeOptional

The date of the first routing attempt.

Example: 2020-02-03T08:45:50.525Z
idstringRequired
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
orderRefstringRequired

The id of the order that lead to the creation of this pickjob. Can be empty / not present when the pickjob was created without having an order.

Example: LGMl2DuvPnfPoSHhYFOm
parentRoutingPlanRefstringOptional
pickJobRefstringOptional

The id of the pickjob that has been created from the routing plan.

Example: Esb20gpHBL94X5NdMp3C
predecessorRerouteRoutingPlanRefsstring[]Required

Refs of the predecessor routing plans, in the case of a reroute.

prioritynumberRequired

priority of return plan

processIdstringRequired

Id of the global process related to this entity. For example used for starting the GDPR process and others.

provisioningTimestring · date-timeOptional

The point in time by which the order is supposed to be provisioned.

Example: 2020-02-03T08:45:50.525Z
reRoutedFacilityRefstringOptional

The id of the facility the order was rerouted from.

Example: 1DEYZgmfAcXRVYv6KEka36
reRoutedPickJobRefstringOptional

The id of the original pickjob that was rerouted.

Example: Eghhj20878dhbd989NdMp3C
reRoutedRoutingPlanRefstringOptional

The id of the original routingplan that was rerouted.

Example: Eghhj20878dhbd989NdMp3C
reRouteReasonstring · enumOptional

RerouteReason

Possible values:
routingRunnumberRequired

The iteration through the routing process

runIdstringOptional

ID of the routing run this plan was created in

runTypestring · enumOptional

The rule type of a decision log entry

Possible values:
splitCountnumberOptional

The number of order splits that happened before this routingplan was created

Default: 0Example: 5
statusstring · enumRequired

A routing plan line initially has the status INITIAL. Final state is ROUTED

Possible values:
strandIdstringOptional

The id of the sourcing option strand this plan has been derived from.

successorRerouteRoutingPlanRefsstring[]Required

Refs of the succeeding routing plans, in the case of a reroute.

targetTimeBaseDatestring · date-timeOptional

This date is used as base/start to calculate the target time date.

Example: 2020-02-03T08:45:50.525Z
tenantOrderIdstringOptional

The id of the order in the tenant system that lead to the creation of this routingplan.

workflowInformationone ofRequired
or
get/api/routingplans/{routingplanId}
GET /api/routingplans/{routingplanId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "activeConfig": {
    "fallbackFacility": {
      "active": false,
      "facilityRefs": [
        "text"
      ],
      "fallbackAfterTime": "PT0H"
    },
    "fences": [
      {
        "active": true,
        "activeMode": "static",
        "description": "text",
        "implementation": "FACILITY-BUSINESSTYPE",
        "name": "text",
        "supportedModes": [
          "static"
        ],
        "type": "StandardFence"
      }
    ],
    "orderSplit": {
      "active": true,
      "activeForSameday": true,
      "maxSplitCount": 1,
      "shouldUseWaitingRoomForPreBackOrderItems": true
    },
    "priorityRatings": [
      {
        "active": true,
        "configuration": {
          "type": "COST_COMPONENTS"
        },
        "description": "text",
        "implementation": "STOCK-BALANCING",
        "name": "text",
        "priority": 100,
        "type": "StandardPriorityRating"
      }
    ],
    "ratings": [
      {
        "active": true,
        "configuration": {
          "type": "COST_COMPONENTS"
        },
        "description": "text",
        "implementation": "STOCK-BALANCING",
        "maxPenalty": 100,
        "name": "text",
        "type": "StandardRating"
      }
    ],
    "reroute": {
      "clickAndCollect": {
        "active": true,
        "rerouteType": "REROUTE"
      },
      "manualReroute": true,
      "rerouteZeroPicksOnly": false,
      "shipFromStore": {
        "active": true,
        "rerouteType": "REROUTE"
      }
    }
  },
  "anonymized": false,
  "childRoutingPlanRef": "text",
  "consolidatedStatus": "REROUTED",
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": "[Circular Reference]"
        }
      ],
      "id": "text"
    }
  ],
  "decisionLogs": [
    {
      "routingRun": 1,
      "url": "/api/routingplans/{routingPlanId}/decisionlogs/{routingRun}"
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "earliestPickingStart": {
    "earliestPickingStartDate": "2020-02-03T08:45:50.525Z",
    "carrierRef": "text",
    "targetTime": "2020-02-03T08:45:50.525Z"
  },
  "expectedLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": [],
      "id": "LGMl2DuvPnfPoSHhYFOm"
    }
  ],
  "facilityBlackList": [
    "text"
  ],
  "facilityRef": "Esb20gpHBL94X5NdMp3C",
  "fallbackRoutingAfterTimeInSeconds": 1,
  "finalizeRun": 5,
  "firstRoutingAttempt": "2020-02-03T08:45:50.525Z",
  "history": [],
  "id": "text",
  "latestPickingStart": {
    "latestPickingStartDate": "2020-02-03T08:45:50.525Z",
    "carrierRef": "text",
    "targetTime": "2020-02-03T08:45:50.525Z"
  },
  "orderDate": "2020-02-03T08:45:50.525Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": [],
      "id": "LGMl2DuvPnfPoSHhYFOm"
    }
  ],
  "orderRef": "LGMl2DuvPnfPoSHhYFOm",
  "parentRoutingPlanRef": "text",
  "pickJobRef": "Esb20gpHBL94X5NdMp3C",
  "predecessorRerouteRoutingPlanRefs": [
    "text"
  ],
  "priority": 1,
  "processId": "text",
  "provisioningTime": "2020-02-03T08:45:50.525Z",
  "rerouteDescription": {
    "action": "text",
    "id": "text",
    "reasonLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "reason": "Rerouted because of an issue in the Facility.",
    "created": "2020-02-03T08:45:51.525Z",
    "lastModified": "2020-02-03T09:45:51.525Z",
    "version": 42
  },
  "reRoutedFacilityRef": "1DEYZgmfAcXRVYv6KEka36",
  "reRoutedPickJobRef": "Eghhj20878dhbd989NdMp3C",
  "reRoutedRoutingPlanRef": "Eghhj20878dhbd989NdMp3C",
  "reRouteReason": "ORDERMODIFIED",
  "routingRun": 1,
  "runId": "text",
  "runType": "DEFAULT",
  "splitCount": 5,
  "status": "IN_PREPARATION",
  "statusReasons": [],
  "strandId": "text",
  "successorRerouteRoutingPlanRefs": [
    "text"
  ],
  "targetAddress": {
    "addressType": "POSTAL_ADDRESS",
    "companyName": "Speedy Boxales Ltd.",
    "coordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "email": "test@try.de",
    "firstName": "Maxine",
    "lastName": "Muller",
    "personalTitle": "Dr.",
    "salutation": "Frau",
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "facilityRef": "Esb20gpHBL94X5NdMp3C",
    "tenantFacilityId": "Esb20gpHBL94X5NdMp3C"
  },
  "targetAddressesByDeliveryEvent": [
    {
      "deliveryEvent": {
        "deliveryTarget": "SHIP_TO_STORE",
        "deliveryTrigger": "DEFAULT"
      },
      "facilityRef": "text",
      "targetAddress": {
        "addressType": "POSTAL_ADDRESS",
        "companyName": "Speedy Boxales Ltd.",
        "coordinates": {
          "lat": 50.937531,
          "lon": 6.960279
        },
        "email": "test@try.de",
        "firstName": "Maxine",
        "lastName": "Muller",
        "personalTitle": "Dr.",
        "salutation": "Frau",
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr.",
        "facilityRef": "Esb20gpHBL94X5NdMp3C",
        "tenantFacilityId": "Esb20gpHBL94X5NdMp3C"
      }
    }
  ],
  "targetTimeBaseDate": "2020-02-03T08:45:50.525Z",
  "tenantOrderId": "text",
  "transfers": [],
  "workflowInformation": {
    "instanceRef": "64c13ab08edf48a008793cac",
    "isAvailable": true,
    "nodeRef": "text"
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

Update routing plan

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
routingplanIdstringRequired

ID of routing plan you want to patch

Body

RoutingPlanPatchActions

versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
Responses
200

Routing plan was found & patch-set has been applied. The patched entity is in the body.

application/json

RoutingPlan

createdstring · date-timeRequired

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeRequired

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
anonymizedbooleanOptional

Indicates if gdpr related data was anonymized

Example: false
childRoutingPlanRefstringOptional
consolidatedStatusstring · enumRequired

This status consolidates many of the RoutingPlanStatus and offers a more detailes explanation of what happened to the routing plan.

Possible values:
facilityBlackListstring[]Optional

Contains a list of facilities to ignore when rerouting happens.

facilityRefstringOptional

The id of the facility reference. The given ID has to be present in the system.

Example: Esb20gpHBL94X5NdMp3C
fallbackRoutingAfterTimeInSecondsnumberOptional

In case this routing plan has an active fallback facility configuration, this is the time in seconds after which the fallback routing will be attempted.

finalizeRunnumberRequired

The iteration through the finalizer process

Example: 5
firstRoutingAttemptstring · date-timeOptional

The date of the first routing attempt.

Example: 2020-02-03T08:45:50.525Z
idstringRequired
orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
orderRefstringRequired

The id of the order that lead to the creation of this pickjob. Can be empty / not present when the pickjob was created without having an order.

Example: LGMl2DuvPnfPoSHhYFOm
parentRoutingPlanRefstringOptional
pickJobRefstringOptional

The id of the pickjob that has been created from the routing plan.

Example: Esb20gpHBL94X5NdMp3C
predecessorRerouteRoutingPlanRefsstring[]Required

Refs of the predecessor routing plans, in the case of a reroute.

prioritynumberRequired

priority of return plan

processIdstringRequired

Id of the global process related to this entity. For example used for starting the GDPR process and others.

provisioningTimestring · date-timeOptional

The point in time by which the order is supposed to be provisioned.

Example: 2020-02-03T08:45:50.525Z
reRoutedFacilityRefstringOptional

The id of the facility the order was rerouted from.

Example: 1DEYZgmfAcXRVYv6KEka36
reRoutedPickJobRefstringOptional

The id of the original pickjob that was rerouted.

Example: Eghhj20878dhbd989NdMp3C
reRoutedRoutingPlanRefstringOptional

The id of the original routingplan that was rerouted.

Example: Eghhj20878dhbd989NdMp3C
reRouteReasonstring · enumOptional

RerouteReason

Possible values:
routingRunnumberRequired

The iteration through the routing process

runIdstringOptional

ID of the routing run this plan was created in

runTypestring · enumOptional

The rule type of a decision log entry

Possible values:
splitCountnumberOptional

The number of order splits that happened before this routingplan was created

Default: 0Example: 5
statusstring · enumRequired

A routing plan line initially has the status INITIAL. Final state is ROUTED

Possible values:
strandIdstringOptional

The id of the sourcing option strand this plan has been derived from.

successorRerouteRoutingPlanRefsstring[]Required

Refs of the succeeding routing plans, in the case of a reroute.

targetTimeBaseDatestring · date-timeOptional

This date is used as base/start to calculate the target time date.

Example: 2020-02-03T08:45:50.525Z
tenantOrderIdstringOptional

The id of the order in the tenant system that lead to the creation of this routingplan.

workflowInformationone ofRequired
or
patch/api/routingplans/{routingplanId}
PATCH /api/routingplans/{routingplanId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "actions": [
    {
      "action": "ModifyRoutingPlan",
      "facilityRef": "Esb20gpHBL94X5NdMp3C",
      "status": "IN_PREPARATION"
    }
  ],
  "version": 42
}
{
  "activeConfig": {
    "fallbackFacility": {
      "active": false,
      "facilityRefs": [
        "text"
      ],
      "fallbackAfterTime": "PT0H"
    },
    "fences": [
      {
        "active": true,
        "activeMode": "static",
        "description": "text",
        "implementation": "FACILITY-BUSINESSTYPE",
        "name": "text",
        "supportedModes": [
          "static"
        ],
        "type": "StandardFence"
      }
    ],
    "orderSplit": {
      "active": true,
      "activeForSameday": true,
      "maxSplitCount": 1,
      "shouldUseWaitingRoomForPreBackOrderItems": true
    },
    "priorityRatings": [
      {
        "active": true,
        "configuration": {
          "type": "COST_COMPONENTS"
        },
        "description": "text",
        "implementation": "STOCK-BALANCING",
        "name": "text",
        "priority": 100,
        "type": "StandardPriorityRating"
      }
    ],
    "ratings": [
      {
        "active": true,
        "configuration": {
          "type": "COST_COMPONENTS"
        },
        "description": "text",
        "implementation": "STOCK-BALANCING",
        "maxPenalty": 100,
        "name": "text",
        "type": "StandardRating"
      }
    ],
    "reroute": {
      "clickAndCollect": {
        "active": true,
        "rerouteType": "REROUTE"
      },
      "manualReroute": true,
      "rerouteZeroPicksOnly": false,
      "shipFromStore": {
        "active": true,
        "rerouteType": "REROUTE"
      }
    }
  },
  "anonymized": false,
  "childRoutingPlanRef": "text",
  "consolidatedStatus": "REROUTED",
  "customServices": [
    {
      "articleItems": [
        {
          "quantity": 1,
          "tenantArticleRef": "text"
        }
      ],
      "customServiceDefinition": {
        "additionalInformation": [
          {
            "additionalInformationRef": "text",
            "tenantAdditionalInformationId": "text",
            "value": "text"
          }
        ],
        "customAttributes": {},
        "customServiceRef": "text",
        "isBundled": true,
        "tenantCustomServiceId": "text"
      },
      "customServiceItems": [
        {
          "articleItems": [
            {
              "quantity": 1,
              "tenantArticleRef": "text"
            }
          ],
          "customServiceDefinition": {
            "additionalInformation": [
              {
                "additionalInformationRef": "text",
                "tenantAdditionalInformationId": "text",
                "value": "text"
              }
            ],
            "customAttributes": {},
            "customServiceRef": "text",
            "isBundled": true,
            "tenantCustomServiceId": "text"
          },
          "customServiceItems": "[Circular Reference]"
        }
      ],
      "id": "text"
    }
  ],
  "decisionLogs": [
    {
      "routingRun": 1,
      "url": "/api/routingplans/{routingPlanId}/decisionlogs/{routingRun}"
    }
  ],
  "deliveryPreferences": {
    "collect": [
      null
    ],
    "estimatedDeliveryDate": "2020-02-03T09:45:51.525Z",
    "reservationPreferences": {
      "mode": "SCHEDULED",
      "reservationTime": "2020-02-03T09:45:51.525Z"
    },
    "shipping": {
      "carrierProductCategory": "STANDARD",
      "desiredDeliveryTime": "2020-02-03T09:45:51.525Z",
      "preferredCarriers": [
        "text"
      ],
      "preferredCarriersWithProduct": [
        {
          "carrierKey": "DPD",
          "carrierProduct": "WORLDWIDE",
          "carrierServices": [
            "SIGNATURE"
          ]
        }
      ],
      "preselectedFacilities": [
        null
      ],
      "serviceLevel": "DELIVERY"
    },
    "sourcingOptionRefs": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "supplyingFacilities": [
      "928f3730-bc48-4d85-b83f-3fd86b776178"
    ],
    "targetTime": "2020-02-03T09:45:51.525Z"
  },
  "earliestPickingStart": {
    "earliestPickingStartDate": "2020-02-03T08:45:50.525Z",
    "carrierRef": "text",
    "targetTime": "2020-02-03T08:45:50.525Z"
  },
  "expectedLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": [],
      "id": "LGMl2DuvPnfPoSHhYFOm"
    }
  ],
  "facilityBlackList": [
    "text"
  ],
  "facilityRef": "Esb20gpHBL94X5NdMp3C",
  "fallbackRoutingAfterTimeInSeconds": 1,
  "finalizeRun": 5,
  "firstRoutingAttempt": "2020-02-03T08:45:50.525Z",
  "history": [],
  "id": "text",
  "latestPickingStart": {
    "latestPickingStartDate": "2020-02-03T08:45:50.525Z",
    "carrierRef": "text",
    "targetTime": "2020-02-03T08:45:50.525Z"
  },
  "orderDate": "2020-02-03T08:45:50.525Z",
  "orderLineItems": [
    {
      "allowedSubstitutes": [
        {
          "attributes": [
            {
              "valueLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "keyLocalized": {
                "de_DE": "Wert",
                "en_US": "Value",
                "ru_RU": "значение"
              },
              "category": "descriptive",
              "context": {
                "type": "FACILITY_GROUP",
                "value": "text"
              },
              "key": "%%subtitle%%",
              "priority": 100,
              "type": "STRING",
              "value": "585er Gold"
            }
          ],
          "imageUrl": "text",
          "measurementUnitKey": "liter",
          "measurementValidation": {
            "overPickHardTolerancePercentage": 20,
            "overPickSoftTolerancePercentage": 15,
            "shortPickHardTolerancePercentage": 15,
            "shortPickSoftTolerancePercentage": 10
          },
          "priority": 1,
          "scannableCodes": [
            "text"
          ],
          "secondaryMeasurementUnitKey": "gram",
          "tenantArticleId": "text",
          "title": "text"
        }
      ],
      "article": {
        "titleLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "customAttributes": {},
        "imageUrl": "https://example.com/resource",
        "tenantArticleId": "4711",
        "title": "Cologne Water",
        "weight": 1,
        "attributes": [
          {
            "valueLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "keyLocalized": {
              "de_DE": "Wert",
              "en_US": "Value",
              "ru_RU": "значение"
            },
            "category": "descriptive",
            "context": {
              "type": "FACILITY_GROUP",
              "value": "text"
            },
            "key": "%%subtitle%%",
            "priority": 100,
            "type": "STRING",
            "value": "585er Gold"
          }
        ]
      },
      "customAttributes": {},
      "measurementUnitKey": "liter",
      "measurementValidation": {
        "overPickHardTolerancePercentage": 20,
        "overPickSoftTolerancePercentage": 15,
        "shortPickHardTolerancePercentage": 15,
        "shortPickSoftTolerancePercentage": 10
      },
      "quantity": 21,
      "scannableCodes": [
        "text"
      ],
      "secondaryMeasurementUnitKey": "liter",
      "secondaryQuantity": 21,
      "shopPrice": 1200,
      "tags": [],
      "id": "LGMl2DuvPnfPoSHhYFOm"
    }
  ],
  "orderRef": "LGMl2DuvPnfPoSHhYFOm",
  "parentRoutingPlanRef": "text",
  "pickJobRef": "Esb20gpHBL94X5NdMp3C",
  "predecessorRerouteRoutingPlanRefs": [
    "text"
  ],
  "priority": 1,
  "processId": "text",
  "provisioningTime": "2020-02-03T08:45:50.525Z",
  "rerouteDescription": {
    "action": "text",
    "id": "text",
    "reasonLocalized": {
      "de_DE": "Wert",
      "en_US": "Value",
      "ru_RU": "значение"
    },
    "reason": "Rerouted because of an issue in the Facility.",
    "created": "2020-02-03T08:45:51.525Z",
    "lastModified": "2020-02-03T09:45:51.525Z",
    "version": 42
  },
  "reRoutedFacilityRef": "1DEYZgmfAcXRVYv6KEka36",
  "reRoutedPickJobRef": "Eghhj20878dhbd989NdMp3C",
  "reRoutedRoutingPlanRef": "Eghhj20878dhbd989NdMp3C",
  "reRouteReason": "ORDERMODIFIED",
  "routingRun": 1,
  "runId": "text",
  "runType": "DEFAULT",
  "splitCount": 5,
  "status": "IN_PREPARATION",
  "statusReasons": [],
  "strandId": "text",
  "successorRerouteRoutingPlanRefs": [
    "text"
  ],
  "targetAddress": {
    "addressType": "POSTAL_ADDRESS",
    "companyName": "Speedy Boxales Ltd.",
    "coordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "email": "test@try.de",
    "firstName": "Maxine",
    "lastName": "Muller",
    "personalTitle": "Dr.",
    "salutation": "Frau",
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "facilityRef": "Esb20gpHBL94X5NdMp3C",
    "tenantFacilityId": "Esb20gpHBL94X5NdMp3C"
  },
  "targetAddressesByDeliveryEvent": [
    {
      "deliveryEvent": {
        "deliveryTarget": "SHIP_TO_STORE",
        "deliveryTrigger": "DEFAULT"
      },
      "facilityRef": "text",
      "targetAddress": {
        "addressType": "POSTAL_ADDRESS",
        "companyName": "Speedy Boxales Ltd.",
        "coordinates": {
          "lat": 50.937531,
          "lon": 6.960279
        },
        "email": "test@try.de",
        "firstName": "Maxine",
        "lastName": "Muller",
        "personalTitle": "Dr.",
        "salutation": "Frau",
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr.",
        "facilityRef": "Esb20gpHBL94X5NdMp3C",
        "tenantFacilityId": "Esb20gpHBL94X5NdMp3C"
      }
    }
  ],
  "targetTimeBaseDate": "2020-02-03T08:45:50.525Z",
  "tenantOrderId": "text",
  "transfers": [],
  "workflowInformation": {
    "instanceRef": "64c13ab08edf48a008793cac",
    "isAvailable": true,
    "nodeRef": "text"
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

List routing plan decision log

get

Retrieves in-depth information about the standard routing process

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
routingplanIdstringRequired

ID of the routing plan you want to get it's decision log

routingRunintegerRequired

ID of the decision log you want to get

Responses
200

Decision log was found.

application/json

DecisionLog

createdstring · date-timeRequired

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeRequired

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
latestPickingStartHintsobjectOptional

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

In case no LPS could be calculated for this facility, the possible causes will be listed in this array. This property is an alpha property and still under development

routingPlanRefstringRequired
routingRunnumberRequired
get/api/routingplans/{routingplanId}/decisionlogs/{routingRun}
GET /api/routingplans/{routingplanId}/decisionlogs/{routingRun} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "facilityDecisions": [],
  "id": "text",
  "latestPickingStartHints": {},
  "orderSplitDecision": {
    "reassignment": {
      "reassignedItems": [],
      "sourceFacility": {
        "facilityRef": "text",
        "name": "text"
      }
    },
    "split": {
      "splitCount": 1,
      "splittedItems": [],
      "targetFacility": {
        "facilityRef": "text",
        "name": "text"
      },
      "targetRoutingPlanRef": "text"
    },
    "splitType": "SPLIT"
  },
  "results": {
    "assignedItems": [],
    "bestAvailableFacility": {
      "facilityRef": "text",
      "name": "text"
    },
    "bestRatedFacility": {
      "facilityRef": "text",
      "name": "text"
    },
    "bestReassignmentFacility": {
      "facilityRef": "text",
      "name": "text"
    },
    "routingPlanStatus": "IN_PREPARATION"
  },
  "routingPlanRef": "text",
  "routingRun": 1,
  "routingStrategyEvaluationResult": {
    "evaluatedConfig": {
      "fallbackFacility": {
        "active": false,
        "facilityRefs": [
          "text"
        ],
        "fallbackAfterTime": "PT0H"
      },
      "fences": [
        {
          "active": true,
          "activeMode": "static",
          "description": "text",
          "implementation": "FACILITY-BUSINESSTYPE",
          "name": "text",
          "supportedModes": [
            "static"
          ],
          "type": "StandardFence"
        }
      ],
      "orderSplit": {
        "active": true,
        "activeForSameday": true,
        "maxSplitCount": 1,
        "shouldUseWaitingRoomForPreBackOrderItems": true
      },
      "priorityRatings": [
        {
          "active": true,
          "configuration": {
            "type": "COST_COMPONENTS"
          },
          "description": "text",
          "implementation": "STOCK-BALANCING",
          "name": "text",
          "priority": 100,
          "type": "StandardPriorityRating"
        }
      ],
      "ratings": [
        {
          "active": true,
          "configuration": {
            "type": "COST_COMPONENTS"
          },
          "description": "text",
          "implementation": "STOCK-BALANCING",
          "maxPenalty": 100,
          "name": "text",
          "type": "StandardRating"
        }
      ],
      "reroute": {
        "clickAndCollect": {
          "active": true,
          "rerouteType": "REROUTE"
        },
        "manualReroute": true,
        "rerouteZeroPicksOnly": false,
        "shipFromStore": {
          "active": true,
          "rerouteType": "REROUTE"
        }
      }
    },
    "evaluatedPath": [
      {
        "nameLocalized": {
          "de_DE": "Wert",
          "en_US": "Value",
          "ru_RU": "значение"
        },
        "evaluationResult": "NODE_INACTIVE",
        "ref": "text",
        "type": "CONDITION"
      }
    ]
  },
  "statistics": {
    "durationMs": 1,
    "fenceStatistics": [],
    "ratingStatistics": []
  },
  "created": "2020-02-03T08:45:51.525Z",
  "lastModified": "2020-02-03T09:45:51.525Z",
  "version": 42
}

List routing plans (search)

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for RoutingPlan

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RoutingPlanSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

RoutingPlanPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/routingplans/search
POST /api/routingplans/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15027

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "anonymized": {
              "eq": true,
              "notEq": true
            },
            "customServices": {
              "contains": {
                "articleItems": {
                  "contains": {
                    "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                  },
                  "exists": true
                },
                "customServiceDefinition": {
                  "additionalInformation": {
                    "contains": {
                      "additionalInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                    },
                    "exists": true
                  },
                  "customServiceRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                },
                "customServiceItems": {
                  "contains": {
                    "articleItems": {
                      "contains": {
                        "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                      },
                      "exists": true
                    }
                  },
                  "exists": true
                }
              },
              "exists": true
            },
            "deliveryPreferences": {
              "collect": {
                "contains": {
                  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                  "paid": {
                    "eq": true,
                    "notEq": true
                  },
                  "supplyingFacilities": {
                    "contains": {
                      "eq": "text",
                      "notEq": "text"
                    }
                  }
                },
                "exists": true
              },
              "shipping": {
                "preferredCarriers": {
                  "contains": {
                    "eq": "text",
                    "notEq": "text"
                  }
                },
                "preferredCarriersWithProduct": {
                  "contains": {
                    "carrierKey": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "exists": true
                }
              },
              "supplyingFacilities": {
                "contains": {
                  "eq": "text",
                  "notEq": "text"
                }
              },
              "targetTime": "2026-06-17T12:00:00.000Z"
            },
            "earliestPickingStart": {
              "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "earliestPickingStartDate": "2026-06-17T12:00:00.000Z",
              "targetTime": "2026-06-17T12:00:00.000Z"
            },
            "history": {
              "contains": {
                "created": {
                  "after": "text",
                  "before": "text",
                  "eq": "2026-01-01T00:00:00.000Z",
                  "gt": "2026-01-01T00:00:00.000Z",
                  "gte": "2026-01-01T00:00:00.000Z",
                  "lt": "2026-01-01T00:00:00.000Z",
                  "lte": "2026-01-01T00:00:00.000Z",
                  "notEq": "2026-01-01T00:00:00.000Z"
                },
                "status": {
                  "eq": "IN_PREPARATION",
                  "in": [
                    "IN_PREPARATION"
                  ],
                  "notEq": "IN_PREPARATION"
                }
              },
              "exists": true
            },
            "latestPickingStart": {
              "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "latestPickingStartDate": "2026-06-17T12:00:00.000Z",
              "targetTime": "2026-06-17T12:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "orderDate": "2026-06-17T12:00:00.000Z",
            "orderLineItems": {
              "contains": {
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            },
            "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "priority": {
              "eq": 1,
              "gt": 1,
              "gte": 1,
              "in": [
                1
              ],
              "lt": 1,
              "lte": 1,
              "notEq": 1,
              "notIn": [
                1
              ]
            },
            "processId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "provisioningTime": "2026-06-17T12:00:00.000Z",
            "reRouteReason": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "splitCount": {
              "eq": 1,
              "gt": 1,
              "gte": 1,
              "in": [
                1
              ],
              "lt": 1,
              "lte": 1,
              "notEq": 1,
              "notIn": [
                1
              ]
            },
            "status": {
              "eq": "IN_PREPARATION",
              "in": [
                "IN_PREPARATION"
              ],
              "notEq": "IN_PREPARATION"
            },
            "statusReasons": {
              "contains": {
                "reason": {
                  "eq": "REROUTE_AFTER_SHORTPICK",
                  "in": [
                    "REROUTE_AFTER_SHORTPICK"
                  ],
                  "notEq": "REROUTE_AFTER_SHORTPICK"
                },
                "status": {
                  "eq": "OBSOLETE",
                  "in": [
                    "OBSOLETE"
                  ],
                  "notEq": "OBSOLETE"
                }
              },
              "exists": true
            },
            "targetAddress": {
              "city": "Yellowstone",
              "country": "US",
              "customAttributes": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": true,
                  "notEq": true
                }
              },
              "province": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "street": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          }
        ],
        "anonymized": {
          "eq": true,
          "notEq": true
        },
        "customServices": {
          "contains": {
            "articleItems": {
              "contains": {
                "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            },
            "customServiceDefinition": {
              "additionalInformation": {
                "contains": {
                  "additionalInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                },
                "exists": true
              },
              "customServiceRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            },
            "customServiceItems": {
              "contains": {
                "articleItems": {
                  "contains": {
                    "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                  },
                  "exists": true
                }
              },
              "exists": true
            }
          },
          "exists": true
        },
        "deliveryPreferences": {
          "collect": {
            "contains": {
              "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "paid": {
                "eq": true,
                "notEq": true
              },
              "supplyingFacilities": {
                "contains": {
                  "eq": "text",
                  "notEq": "text"
                }
              }
            },
            "exists": true
          },
          "shipping": {
            "preferredCarriers": {
              "contains": {
                "eq": "text",
                "notEq": "text"
              }
            },
            "preferredCarriersWithProduct": {
              "contains": {
                "carrierKey": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          },
          "supplyingFacilities": {
            "contains": {
              "eq": "text",
              "notEq": "text"
            }
          },
          "targetTime": "2026-06-17T12:00:00.000Z"
        },
        "earliestPickingStart": {
          "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "earliestPickingStartDate": "2026-06-17T12:00:00.000Z",
          "targetTime": "2026-06-17T12:00:00.000Z"
        },
        "history": {
          "contains": {
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "status": {
              "eq": "IN_PREPARATION",
              "in": [
                "IN_PREPARATION"
              ],
              "notEq": "IN_PREPARATION"
            }
          },
          "exists": true
        },
        "latestPickingStart": {
          "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "latestPickingStartDate": "2026-06-17T12:00:00.000Z",
          "targetTime": "2026-06-17T12:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "anonymized": {
              "eq": true,
              "notEq": true
            },
            "customServices": {
              "contains": {
                "articleItems": {
                  "contains": {
                    "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                  },
                  "exists": true
                },
                "customServiceDefinition": {
                  "additionalInformation": {
                    "contains": {
                      "additionalInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                    },
                    "exists": true
                  },
                  "customServiceRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                },
                "customServiceItems": {
                  "contains": {
                    "articleItems": {
                      "contains": {
                        "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                      },
                      "exists": true
                    }
                  },
                  "exists": true
                }
              },
              "exists": true
            },
            "deliveryPreferences": {
              "collect": {
                "contains": {
                  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
                  "paid": {
                    "eq": true,
                    "notEq": true
                  },
                  "supplyingFacilities": {
                    "contains": {
                      "eq": "text",
                      "notEq": "text"
                    }
                  }
                },
                "exists": true
              },
              "shipping": {
                "preferredCarriers": {
                  "contains": {
                    "eq": "text",
                    "notEq": "text"
                  }
                },
                "preferredCarriersWithProduct": {
                  "contains": {
                    "carrierKey": {
                      "eq": "text",
                      "in": [
                        "text"
                      ],
                      "notEq": "text",
                      "notIn": [
                        "text"
                      ]
                    }
                  },
                  "exists": true
                }
              },
              "supplyingFacilities": {
                "contains": {
                  "eq": "text",
                  "notEq": "text"
                }
              },
              "targetTime": "2026-06-17T12:00:00.000Z"
            },
            "earliestPickingStart": {
              "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "earliestPickingStartDate": "2026-06-17T12:00:00.000Z",
              "targetTime": "2026-06-17T12:00:00.000Z"
            },
            "history": {
              "contains": {
                "created": {
                  "after": "text",
                  "before": "text",
                  "eq": "2026-01-01T00:00:00.000Z",
                  "gt": "2026-01-01T00:00:00.000Z",
                  "gte": "2026-01-01T00:00:00.000Z",
                  "lt": "2026-01-01T00:00:00.000Z",
                  "lte": "2026-01-01T00:00:00.000Z",
                  "notEq": "2026-01-01T00:00:00.000Z"
                },
                "status": {
                  "eq": "IN_PREPARATION",
                  "in": [
                    "IN_PREPARATION"
                  ],
                  "notEq": "IN_PREPARATION"
                }
              },
              "exists": true
            },
            "latestPickingStart": {
              "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "latestPickingStartDate": "2026-06-17T12:00:00.000Z",
              "targetTime": "2026-06-17T12:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "orderDate": "2026-06-17T12:00:00.000Z",
            "orderLineItems": {
              "contains": {
                "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            },
            "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "priority": {
              "eq": 1,
              "gt": 1,
              "gte": 1,
              "in": [
                1
              ],
              "lt": 1,
              "lte": 1,
              "notEq": 1,
              "notIn": [
                1
              ]
            },
            "processId": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "provisioningTime": "2026-06-17T12:00:00.000Z",
            "reRouteReason": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            },
            "splitCount": {
              "eq": 1,
              "gt": 1,
              "gte": 1,
              "in": [
                1
              ],
              "lt": 1,
              "lte": 1,
              "notEq": 1,
              "notIn": [
                1
              ]
            },
            "status": {
              "eq": "IN_PREPARATION",
              "in": [
                "IN_PREPARATION"
              ],
              "notEq": "IN_PREPARATION"
            },
            "statusReasons": {
              "contains": {
                "reason": {
                  "eq": "REROUTE_AFTER_SHORTPICK",
                  "in": [
                    "REROUTE_AFTER_SHORTPICK"
                  ],
                  "notEq": "REROUTE_AFTER_SHORTPICK"
                },
                "status": {
                  "eq": "OBSOLETE",
                  "in": [
                    "OBSOLETE"
                  ],
                  "notEq": "OBSOLETE"
                }
              },
              "exists": true
            },
            "targetAddress": {
              "city": "Yellowstone",
              "country": "US",
              "customAttributes": {
                "ANY_ADDITIONAL_PROPERTY": {
                  "eq": true,
                  "notEq": true
                }
              },
              "province": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              },
              "street": {
                "eq": "text",
                "in": [
                  "text"
                ],
                "notEq": "text",
                "notIn": [
                  "text"
                ]
              }
            }
          }
        ],
        "orderDate": "2026-06-17T12:00:00.000Z",
        "orderLineItems": {
          "contains": {
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          },
          "exists": true
        },
        "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "priority": {
          "eq": 1,
          "gt": 1,
          "gte": 1,
          "in": [
            1
          ],
          "lt": 1,
          "lte": 1,
          "notEq": 1,
          "notIn": [
            1
          ]
        },
        "processId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "provisioningTime": "2026-06-17T12:00:00.000Z",
        "reRouteReason": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "splitCount": {
          "eq": 1,
          "gt": 1,
          "gte": 1,
          "in": [
            1
          ],
          "lt": 1,
          "lte": 1,
          "notEq": 1,
          "notIn": [
            1
          ]
        },
        "status": {
          "eq": "IN_PREPARATION",
          "in": [
            "IN_PREPARATION"
          ],
          "notEq": "IN_PREPARATION"
        },
        "statusReasons": {
          "contains": {
            "reason": {
              "eq": "REROUTE_AFTER_SHORTPICK",
              "in": [
                "REROUTE_AFTER_SHORTPICK"
              ],
              "notEq": "REROUTE_AFTER_SHORTPICK"
            },
            "status": {
              "eq": "OBSOLETE",
              "in": [
                "OBSOLETE"
              ],
              "notEq": "OBSOLETE"
            }
          },
          "exists": true
        },
        "targetAddress": {
          "city": "Yellowstone",
          "country": "US",
          "customAttributes": {
            "ANY_ADDITIONAL_PROPERTY": {
              "eq": true,
              "notEq": true
            }
          },
          "province": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "street": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        }
      }
    ],
    "anonymized": {
      "eq": true,
      "notEq": true
    },
    "customServices": {
      "contains": {
        "articleItems": {
          "contains": {
            "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          },
          "exists": true
        },
        "customServiceDefinition": {
          "additionalInformation": {
            "contains": {
              "additionalInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            },
            "exists": true
          },
          "customServiceRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
        },
        "customServiceItems": {
          "contains": {
            "articleItems": {
              "contains": {
                "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            }
          },
          "exists": true
        }
      },
      "exists": true
    },
    "deliveryPreferences": {
      "collect": {
        "contains": {
          "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "paid": {
            "eq": true,
            "notEq": true
          },
          "supplyingFacilities": {
            "contains": {
              "eq": "text",
              "notEq": "text"
            }
          }
        },
        "exists": true
      },
      "shipping": {
        "preferredCarriers": {
          "contains": {
            "eq": "text",
            "notEq": "text"
          }
        },
        "preferredCarriersWithProduct": {
          "contains": {
            "carrierKey": {
              "eq": "text",
              "in": [
                "text"
              ],
              "notEq": "text",
              "notIn": [
                "text"
              ]
            }
          },
          "exists": true
        }
      },
      "supplyingFacilities": {
        "contains": {
          "eq": "text",
          "notEq": "text"
        }
      },
      "targetTime": "2026-06-17T12:00:00.000Z"
    },
    "earliestPickingStart": {
      "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "earliestPickingStartDate": "2026-06-17T12:00:00.000Z",
      "targetTime": "2026-06-17T12:00:00.000Z"
    },
    "history": {
      "contains": {
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "status": {
          "eq": "IN_PREPARATION",
          "in": [
            "IN_PREPARATION"
          ],
          "notEq": "IN_PREPARATION"
        }
      },
      "exists": true
    },
    "latestPickingStart": {
      "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "latestPickingStartDate": "2026-06-17T12:00:00.000Z",
      "targetTime": "2026-06-17T12:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "anonymized": {
          "eq": true,
          "notEq": true
        },
        "customServices": {
          "contains": {
            "articleItems": {
              "contains": {
                "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
              },
              "exists": true
            },
            "customServiceDefinition": {
              "additionalInformation": {
                "contains": {
                  "additionalInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                },
                "exists": true
              },
              "customServiceRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
            },
            "customServiceItems": {
              "contains": {
                "articleItems": {
                  "contains": {
                    "tenantArticleRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
                  },
                  "exists": true
                }
              },
              "exists": true
            }
          },
          "exists": true
        },
        "deliveryPreferences": {
          "collect": {
            "contains": {
              "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
              "paid": {
                "eq": true,
                "notEq": true
              },
              "supplyingFacilities": {
                "contains": {
                  "eq": "text",
                  "notEq": "text"
                }
              }
            },
            "exists": true
          },
          "shipping": {
            "preferredCarriers": {
              "contains": {
                "eq": "text",
                "notEq": "text"
              }
            },
            "preferredCarriersWithProduct": {
              "contains": {
                "carrierKey": {
                  "eq": "text",
                  "in": [
                    "text"
                  ],
                  "notEq": "text",
                  "notIn": [
                    "text"
                  ]
                }
              },
              "exists": true
            }
          },
          "supplyingFacilities": {
            "contains": {
              "eq": "text",
              "notEq": "text"
            }
          },
          "targetTime": "2026-06-17T12:00:00.000Z"
        },
        "earliestPickingStart": {
          "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "earliestPickingStartDate": "2026-06-17T12:00:00.000Z",
          "targetTime": "2026-06-17T12:00:00.000Z"
        },
        "history": {
          "contains": {
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "status": {
              "eq": "IN_PREPARATION",
              "in": [
                "IN_PREPARATION"
              ],
              "notEq": "IN_PREPARATION"
            }
          },
          "exists": true
        },
        "latestPickingStart": {
          "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
          "latestPickingStartDate": "2026-06-17T12:00:00.000Z",
          "targetTime": "2026-06-17T12:00:00.000Z"
        },
        "or": "[Circular Reference]",
        "orderDate": "2026-06-17T12:00:00.000Z",
        "orderLineItems": {
          "contains": {
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
          },
          "exists": true
        },
        "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "priority": {
          "eq": 1,
          "gt": 1,
          "gte": 1,
          "in": [
            1
          ],
          "lt": 1,
          "lte": 1,
          "notEq": 1,
          "notIn": [
            1
          ]
        },
        "processId": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "provisioningTime": "2026-06-17T12:00:00.000Z",
        "reRouteReason": {
          "eq": "text",
          "in": [
            "text"
          ],
          "notEq": "text",
          "notIn": [
            "text"
          ]
        },
        "splitCount": {
          "eq": 1,
          "gt": 1,
          "gte": 1,
          "in": [
            1
          ],
          "lt": 1,
          "lte": 1,
          "notEq": 1,
          "notIn": [
            1
          ]
        },
        "status": {
          "eq": "IN_PREPARATION",
          "in": [
            "IN_PREPARATION"
          ],
          "notEq": "IN_PREPARATION"
        },
        "statusReasons": {
          "contains": {
            "reason": {
              "eq": "REROUTE_AFTER_SHORTPICK",
              "in": [
                "REROUTE_AFTER_SHORTPICK"
              ],
              "notEq": "REROUTE_AFTER_SHORTPICK"
            },
            "status": {
              "eq": "OBSOLETE",
              "in": [
                "OBSOLETE"
              ],
              "notEq": "OBSOLETE"
            }
          },
          "exists": true
        },
        "targetAddress": {
          "city": "Yellowstone",
          "country": "US",
          "customAttributes": {
            "ANY_ADDITIONAL_PROPERTY": {
              "eq": true,
              "notEq": true
            }
          },
          "province": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          },
          "street": {
            "eq": "text",
            "in": [
              "text"
            ],
            "notEq": "text",
            "notIn": [
              "text"
            ]
          }
        }
      }
    ],
    "orderDate": "2026-06-17T12:00:00.000Z",
    "orderLineItems": {
      "contains": {
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
      },
      "exists": true
    },
    "orderRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "pickJobRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "priority": {
      "eq": 1,
      "gt": 1,
      "gte": 1,
      "in": [
        1
      ],
      "lt": 1,
      "lte": 1,
      "notEq": 1,
      "notIn": [
        1
      ]
    },
    "processId": {
      "eq": "text",
      "in": [
        "text"
      ],
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "provisioningTime": "2026-06-17T12:00:00.000Z",
    "reRouteReason": {
      "eq": "text",
      "in": [
        "text"
      ],
      "notEq": "text",
      "notIn": [
        "text"
      ]
    },
    "splitCount": {
      "eq": 1,
      "gt": 1,
      "gte": 1,
      "in": [
        1
      ],
      "lt": 1,
      "lte": 1,
      "notEq": 1,
      "notIn": [
        1
      ]
    },
    "status": {
      "eq": "IN_PREPARATION",
      "in": [
        "IN_PREPARATION"
      ],
      "notEq": "IN_PREPARATION"
    },
    "statusReasons": {
      "contains": {
        "reason": {
          "eq": "REROUTE_AFTER_SHORTPICK",
          "in": [
            "REROUTE_AFTER_SHORTPICK"
          ],
          "notEq": "REROUTE_AFTER_SHORTPICK"
        },
        "status": {
          "eq": "OBSOLETE",
          "in": [
            "OBSOLETE"
          ],
          "notEq": "OBSOLETE"
        }
      },
      "exists": true
    },
    "targetAddress": {
      "city": "Yellowstone",
      "country": "US",
      "customAttributes": {
        "ANY_ADDITIONAL_PROPERTY": {
          "eq": true,
          "notEq": true
        }
      },
      "province": {
        "eq": "text",
        "in": [
          "text"
        ],
        "notEq": "text",
        "notIn": [
          "text"
        ]
      },
      "street": {
        "eq": "text",
        "in": [
          "text"
        ],
        "notEq": "text",
        "notIn": [
          "text"
        ]
      }
    }
  },
  "size": 10,
  "sort": [
    {
      "anonymized": "ASC",
      "orderDate": "ASC",
      "orderRef": "ASC",
      "processId": "ASC",
      "provisioningTime": "ASC",
      "status": "ASC"
    }
  ]
}
{
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "routingPlans": [
    {
      "created": "2020-02-03T08:45:51.525Z",
      "lastModified": "2020-02-03T09:45:51.525Z",
      "version": 42
    }
  ],
  "total": 1
}

List routing plans graphs

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
processRefstringOptional

Reference to the process you want to get the corresponding routing plans graph.

Responses
200

Routing plans graph was found & you were allowed to access it. The result is in the body.

application/json

A graph representation of the routing plans. The nodes are the routing plans and the edges are the rerouting reasons.

get/api/routingplansgraph
GET /api/routingplansgraph HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "edges": [
    {
      "from": "text",
      "reason": "SPLIT",
      "to": "text"
    }
  ],
  "nodes": [
    {
      "routingPlanRef": "text"
    }
  ]
}

Last updated

Was this helpful?